complex16_blas_level1(3)

NAME
complex16_blas_level1

SYNOPSIS

  Functions
subroutine zaxpy (N, ZA, ZX, INCX, ZY, INCY)
ZAXPY
subroutine zcopy (N, ZX, INCX, ZY, INCY)
ZCOPY
complex *16 function zdotc (N, ZX, INCX, ZY, INCY)
ZDOTC
complex *16 function zdotu (N, ZX, INCX, ZY, INCY)
ZDOTU
subroutine zdrot (N, CX, INCX, CY, INCY, C, S)
ZDROT
subroutine zdscal (N, DA, ZX, INCX)
ZDSCAL
subroutine zrotg (CA, CB, C, S)
ZROTG
subroutine zscal (N, ZA, ZX, INCX)
ZSCAL
subroutine zswap (N, ZX, INCX, ZY, INCY)
ZSWAP

Detailed Description

This is the group of complex16 LEVEL 1 BLAS routines.

Function Documentation

  subroutine zaxpy (integer N, complex*16 ZA, complex*16, dimension(*) ZX, integer INCX, complex*16, dimension(*) ZY, integer INCY)

ZAXPY

Purpose:

        ZAXPY constant times a vector plus a vector.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    ZA

              ZA is COMPLEX*16
               On entry, ZA specifies the scalar alpha.

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 90 of file zaxpy.f.

  subroutine zcopy (integer N, complex*16, dimension(*) ZX, integer INCX, complex*16, dimension(*) ZY, integer INCY)

ZCOPY

Purpose:

        ZCOPY copies a vector, x, to a vector, y.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, linpack, 4/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 83 of file zcopy.f.

  complex*16 function zdotc (integer N, complex*16, dimension(*) ZX, integer INCX, complex*16, dimension(*) ZY, integer INCY)

ZDOTC

Purpose:

     ZDOTC forms the dot product of two complex vectors
          ZDOTC = X^H * Y

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    ZX

              ZX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is REAL array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 85 of file zdotc.f.

  complex*16 function zdotu (integer N, complex*16, dimension(*) ZX, integer INCX, complex*16, dimension(*) ZY, integer INCY)

ZDOTU

Purpose:

     ZDOTU forms the dot product of two complex vectors
          ZDOTU = X^T * Y

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    ZX

              ZX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is REAL array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 85 of file zdotu.f.

  subroutine zdrot (integer N, complex*16, dimension( * ) CX, integer INCX, complex*16, dimension( * ) CY, integer INCY, double precision C, double precision S)

ZDROT

Purpose:

     Applies a plane rotation, where the cos and sin (c and s) are real
     and the vectors cx and cy are complex.
     jack dongarra, linpack, 3/11/78.

Parameters:
    N

              N is INTEGER
               On entry, N specifies the order of the vectors cx and cy.
               N must be at least zero.

    CX

              CX is COMPLEX*16 array, dimension at least
               ( 1 + ( N - 1 )*abs( INCX ) ).
               Before entry, the incremented array CX must contain the n
               element vector cx. On exit, CX is overwritten by the updated
               vector cx.

    INCX

              INCX is INTEGER
               On entry, INCX specifies the increment for the elements of
               CX. INCX must not be zero.

    CY

              CY is COMPLEX*16 array, dimension at least
               ( 1 + ( N - 1 )*abs( INCY ) ).
               Before entry, the incremented array CY must contain the n
               element vector cy. On exit, CY is overwritten by the updated
               vector cy.

    INCY

              INCY is INTEGER
               On entry, INCY specifies the increment for the elements of
               CY. INCY must not be zero.

    C

              C is DOUBLE PRECISION
               On entry, C specifies the cosine, cos.

    S

              S is DOUBLE PRECISION
               On entry, S specifies the sine, sin.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    December 2016

Definition at line 100 of file zdrot.f.

  subroutine zdscal (integer N, double precision DA, complex*16, dimension(*) ZX, integer INCX)

ZDSCAL

Purpose:

        ZDSCAL scales a vector by a constant.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    DA

              DA is DOUBLE PRECISION
               On entry, DA specifies the scalar alpha.

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 80 of file zdscal.f.

  subroutine zrotg (complex*16 CA, complex*16 CB, double precision C, complex*16 S)

ZROTG

Purpose:

        ZROTG determines a double complex Givens rotation.

Parameters:
    CA

              CA is COMPLEX*16

    CB

              CB is COMPLEX*16

    C

              C is DOUBLE PRECISION

    S

              S is COMPLEX*16

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Definition at line 64 of file zrotg.f.

  subroutine zscal (integer N, complex*16 ZA, complex*16, dimension(*) ZX, integer INCX)

ZSCAL

Purpose:

        ZSCAL scales a vector by a constant.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    ZA

              ZA is COMPLEX*16
               On entry, ZA specifies the scalar alpha.

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 80 of file zscal.f.

  subroutine zswap (integer N, complex*16, dimension(*) ZX, integer INCX, complex*16, dimension(*) ZY, integer INCY)

ZSWAP

Purpose:

        ZSWAP interchanges two vectors.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of ZX

    ZY

              ZY is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCY ) )

    INCY

              INCY is INTEGER
             storage spacing between elements of ZY

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, 3/11/78.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 83 of file zswap.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.